Package de.geolykt.starloader.launcher.service

# Class SLPlattformAgent

java.lang.Object
org.spongepowered.asm.launch.platform.MixinPlatformAgentAbstract
de.geolykt.starloader.launcher.service.SLPlattformAgent

All Implemented Interfaces:
  `org.spongepowered.asm.launch.platform.IMixinPlatformAgent`, `org.spongepowered.asm.launch.platform.IMixinPlatformServiceAgent`

public class SLPlattformAgent extends org.spongepowered.asm.launch.platform.MixinPlatformAgentAbstract implements org.spongepowered.asm.launch.platform.IMixinPlatformServiceAgent

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.spongepowered.asm.launch.platform.IMixinPlatformAgent

  `org.spongepowered.asm.launch.platform.IMixinPlatformAgent.AcceptResult`

- ## Field Summary

  ### Fields inherited from class org.spongepowered.asm.launch.platform.MixinPlatformAgentAbstract

  `handle, logger, manager`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SLPlattformAgent()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static @Nullable SLPlattformAgent`
  `getInstance()`
  `Collection<org.spongepowered.asm.launch.platform.container.IContainerHandle>`
  `getMixinContainers()`
  `String`
  `getSideName()`
  `void`
  `init()`

  ### Methods inherited from class org.spongepowered.asm.launch.platform.MixinPlatformAgentAbstract

  `accept, getPhaseProvider, initPrimaryContainer, inject, invokeStringMethod, prepare, toString, unwire, wire`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.spongepowered.asm.launch.platform.IMixinPlatformAgent

  `accept, getPhaseProvider, initPrimaryContainer, inject, prepare`

  ### Methods inherited from interface org.spongepowered.asm.launch.platform.IMixinPlatformServiceAgent

  `unwire, wire`

- ## Constructor Details

  - ### SLPlattformAgent

    public SLPlattformAgent()

- ## Method Details

  - ### init

    public void init()
    Specified by:
      `init` in interface `org.spongepowered.asm.launch.platform.IMixinPlatformServiceAgent`

  - ### getSideName

    public String getSideName()
    Specified by:
      `getSideName` in interface `org.spongepowered.asm.launch.platform.IMixinPlatformServiceAgent`

  - ### getMixinContainers

    public Collection<org.spongepowered.asm.launch.platform.container.IContainerHandle> getMixinContainers()
    Specified by:
      `getMixinContainers` in interface `org.spongepowered.asm.launch.platform.IMixinPlatformServiceAgent`

  - ### getInstance

    @Nullable public static @Nullable SLPlattformAgent getInstance()